<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:41 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ManageChangeEvents (org.eclipse.papyrus.designer.languages.common.base 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ManageChangeEvents (org.eclipse.papyrus.designer.languages.common.base 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ManageChangeEvents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" target="_top">Frames</a></li>
<li><a href="ManageChangeEvents.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.common.base.codesync</div>
<h2 title="Class ManageChangeEvents" class="title">Class ManageChangeEvents</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.common.base.codesync.ManageChangeEvents</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ManageChangeEvents</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Manage and update change events for incremental code generation</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents.LifeCycleListener</a></span></code>
<div class="block">An internal listener for life cycle events of Papyrus</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.emf.transaction.TransactionalEditingDomain,<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#registeredListeners">registeredListeners</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#ManageChangeEvents--">ManageChangeEvents</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#getChangeList-org.eclipse.emf.transaction.TransactionalEditingDomain-">getChangeList</a></span>(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain)</code>
<div class="block">Get the list of changes for an editing domain</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#initChangeList-org.eclipse.emf.transaction.TransactionalEditingDomain-boolean-">initChangeList</a></span>(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain,
              boolean&nbsp;startAutomatically)</code>
<div class="block">initialize the difference list for an editing domain</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#startRecording-org.eclipse.emf.transaction.TransactionalEditingDomain-">startRecording</a></span>(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain)</code>
<div class="block">Start recording changes for an editing domain</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#stopRecording-org.eclipse.emf.transaction.TransactionalEditingDomain-">stopRecording</a></span>(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain)</code>
<div class="block">Stop recording changes for an editing domain</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="registeredListeners">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>registeredListeners</h4>
<pre>protected static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.emf.transaction.TransactionalEditingDomain,<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a>&gt; registeredListeners</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ManageChangeEvents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ManageChangeEvents</h4>
<pre>public&nbsp;ManageChangeEvents()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="startRecording-org.eclipse.emf.transaction.TransactionalEditingDomain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startRecording</h4>
<pre>public static&nbsp;void&nbsp;startRecording(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain)</pre>
<div class="block">Start recording changes for an editing domain</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>domain</code> - a transactional editing domain. Can be obtained via TransactionUtil from an EObject</dd>
</dl>
</li>
</ul>
<a name="stopRecording-org.eclipse.emf.transaction.TransactionalEditingDomain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopRecording</h4>
<pre>public static&nbsp;void&nbsp;stopRecording(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain)</pre>
<div class="block">Stop recording changes for an editing domain</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>domain</code> - a transactional editing domain. Can be obtained via TransactionUtil from an EObject</dd>
</dl>
</li>
</ul>
<a name="getChangeList-org.eclipse.emf.transaction.TransactionalEditingDomain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChangeList</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a>&gt;&nbsp;getChangeList(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain)</pre>
<div class="block">Get the list of changes for an editing domain</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>domain</code> - a transactional editing domain. Can be obtained via TransactionUtil from an EObject</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of changes or null, if there is currently no event listener (which means
         typcially, that event recording has not been started yet)</dd>
</dl>
</li>
</ul>
<a name="initChangeList-org.eclipse.emf.transaction.TransactionalEditingDomain-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initChangeList</h4>
<pre>public static&nbsp;void&nbsp;initChangeList(org.eclipse.emf.transaction.TransactionalEditingDomain&nbsp;domain,
                                  boolean&nbsp;startAutomatically)</pre>
<div class="block">initialize the difference list for an editing domain</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>domain</code> - a transactional editing domain. Can be obtained via TransactionUtil from an EObject</dd>
<dd><code>startAutomatically</code> - if true, start event recording, if there is currently no event recording active</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ManageChangeEvents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" target="_top">Frames</a></li>
<li><a href="ManageChangeEvents.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
